Sauce-0.10.1 A C++ Dependency Injection Framework

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

sauce::SingletonScope Class Reference

The Singleton scope. More...

`#include <sauce/scopes.h>`

## Detailed Description

The Singleton scope.

Its intended use is for extremely long-lived values. Dependencies like connection pools or global configuration stores make good singletons. One might wish to create environmentally-dependent singletons such as a connection pool as early as possible: use Injector::eagerlyInject() to accomplish this.

The documentation for this class was generated from the following file:

- sauce/scopes.h